Skip to main content
PATCH
/
workflows
/
api-endpoints
/
{id}
Update an API trigger endpoint label
curl --request PATCH \
  --url https://api.artu.ai/workflows/api-endpoints/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "label": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "friendlyId": "<string>",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "nodeId": "<string>",
  "label": "<string>",
  "revokedAt": "<string>",
  "lastUsedAt": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
label
string | null
required
Maximum string length: 255

Response

200 - application/json

OK

id
string<uuid>
required
friendlyId
string
required
workflowId
string<uuid>
required
nodeId
string
required
label
string | null
required
revokedAt
string | null
required
lastUsedAt
string | null
required
createdAt
string
required